package cn.com.qmth.examcloud.core.questions.service.bean.randompaper;

import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class StructQuestionCountInfo {
	@ApiModelProperty("数量")
	private Integer count=0;
	@ApiModelProperty("是否有效")
	private Boolean valid=true;
	@ApiModelProperty("无效信息")
	private String invalidMsg;
	@ApiModelProperty(hidden = true)
	private List<RandomPaperQuestionDto> questionInfo=new ArrayList<>();

	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	public Boolean getValid() {
		return valid;
	}

	public void setValid(Boolean valid) {
		this.valid = valid;
	}

	public String getInvalidMsg() {
		return invalidMsg;
	}

	public void setInvalidMsg(String invalidMsg) {
		this.invalidMsg = invalidMsg;
	}

	public StructQuestionCountInfo() {
		super();
	}

	public StructQuestionCountInfo(Integer count, Boolean valid) {
		super();
		this.count = count;
		this.valid = valid;
	}

	public List<RandomPaperQuestionDto> getQuestionInfo() {
		return questionInfo;
	}

	public void setQuestionInfo(List<RandomPaperQuestionDto> questionInfo) {
		this.questionInfo = questionInfo;
	}

}
